#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 foldl
version:              1.4.15
visibility:           public
id:                   foldl-1.4.15-8gfL9BDqReh7D8r3lCDcos
key:                  foldl-1.4.15-8gfL9BDqReh7D8r3lCDcos
license:              BSD-3-Clause
copyright:            2013 Gabriella Gonzalez
maintainer:           GenuineGabriella@gmail.com
author:               Gabriella Gonzalez
synopsis:             Composable, streaming, and efficient left folds
description:
    This library provides strict left folds that stream in constant
    memory, and you can combine folds using @Applicative@ style to derive new
    folds.  Derived folds still traverse the container just once and are often as
    efficient as hand-written folds.

category:             Control
abi:                  11678fa094be7fc7e269007ffa149c47
exposed:              True
exposed-modules:
    Control.Foldl Control.Foldl.ByteString Control.Foldl.NonEmpty
    Control.Foldl.Text Control.Scanl

hidden-modules:
    Control.Foldl.Optics Control.Foldl.Internal
    Control.Foldl.Util.Vector Control.Foldl.Util.MVector

import-dirs:          /usr/lib/ghc-9.0.2/site-local/foldl-1.4.15
library-dirs:         /usr/lib/ghc-9.0.2/site-local/foldl-1.4.15
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-foldl
hs-libraries:         HSfoldl-1.4.15-8gfL9BDqReh7D8r3lCDcos
depends:
    base-4.15.1.0 bytestring-0.10.12.1
    comonad-5.0.8-JIEb1KWqcvyI13sO01VmwP containers-0.6.4.1
    contravariant-1.5.5-FtJyCLyWfutGN2UWoJs8qd
    hashable-1.4.3.0-GjMDKgDyLuqLq9SaBPRy7H
    primitive-0.7.4.0-B9Fu4okMgOmJjvJHFt8syV
    profunctors-5.6.2-77rxfdHN82s1La9qcyaz5P
    random-1.2.1.1-C6YbKOqj1b9FtHcTQfM70Q
    semigroupoids-5.3.7-4StabZ4oK3bKyXxZVeM2FQ text-1.2.5.0
    transformers-0.5.6.2
    unordered-containers-0.2.20-GD5h4dXRiYp4CZJcEpki1R
    vector-0.13.1.0-BQe94mmHcwnGaa4dX3J4G3

haddock-interfaces:   /usr/share/doc/haskell-foldl/html/foldl.haddock
haddock-html:         /usr/share/doc/haskell-foldl/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

